Android的provider配置是用来兼容Android >=7.0的 一些操作文件的框架,比如说图片选择器,包括bugly的升级等等 都用到了provider配置 在工作中,碰到provider配置冲突的情况,有两个框架都引入了provider配置。 这时候编译肯定是不通过的。 至于解决办法也比较简单。 新建一个类 集成自FileProvider 然后在AndroidMainfest文件当中 把其中一个改成自定义的FileProvider 再次编译,编译成功。